net.sourceforge.pmd.lang

## Class ParserOptionsTest

- java.lang.Object
- - net.sourceforge.pmd.lang.ParserOptionsTest

    public class ParserOptionsTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ParserOptionsTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testEqualsHashcode()`
`void` `testSuppressMarker()`
`static void` `verifyOptionsEqualsHashcode(ParserOptions options1, ParserOptions options2, ParserOptions options3, ParserOptions options4)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParserOptionsTest

    public ParserOptionsTest()

### Method Detail

#### testSuppressMarker

    public void testSuppressMarker()
                            throws Exception

Throws:
  `Exception`

#### testEqualsHashcode

    public void testEqualsHashcode()
                            throws Exception

Throws:
  `Exception`

#### verifyOptionsEqualsHashcode

    public static void verifyOptionsEqualsHashcode(ParserOptions options1,
                                   ParserOptions options2,
                                   ParserOptions options3,
                                   ParserOptions options4)

#### suite

    public static junit.framework.Test suite()